Olympus Docs
ReferenceAPIsOry Identities APIcourier

List Messages

Lists all messages by given status and recipient.

GET /admin/courier/messages

Lists all messages by given status and recipient.

Operation ID: listCourierMessages    Tag: courier

Query parameters

NameTypeRequiredDescription
page_sizeinteger (int64)noItems per Page This is the number of items per page to return. For details on pagination please head over to the pagination documentation.
page_tokenstringnoNext Page Token The next page token. For details on pagination please head over to the pagination documentation.
statusenum: queued, sent, processing, abandonednoStatus filters out messages based on status. If no value is provided, it doesn't take effect on filter.
recipientstringnoRecipient filters out messages based on recipient. If no value is provided, it doesn't take effect on filter.

Responses

StatusDescriptionBody
200Paginated Courier Message List Responseapplication/json, array of object
400errorGenericapplication/json, object
defaulterrorGenericapplication/json, object

Security

  • oryAccessToken

Generated from /tmp/kratos-api.json at build time.

On this page